# Format Mask Functions
[PCM Interface]

## Defines

#define | snd_pcm_format_mask_alloca(ptr)
| allocate an empty snd_pcm_format_mask_t using standard alloca

## Functions

size_t | snd_pcm_format_mask_sizeof (void)
| get size of snd_pcm_format_mask_t
int | snd_pcm_format_mask_malloc (snd_pcm_format_mask_t **ptr)
| allocate an empty snd_pcm_format_mask_t using standard malloc
void | snd_pcm_format_mask_free (snd_pcm_format_mask_t *obj)
| frees a previously allocated snd_pcm_format_mask_t
void | snd_pcm_format_mask_copy (snd_pcm_format_mask_t *dst, const snd_pcm_format_mask_t *src)
| copy one snd_pcm_format_mask_t to another
void | snd_pcm_format_mask_none (snd_pcm_format_mask_t *mask)
| reset all bits in a snd_pcm_format_mask_t
void | snd_pcm_format_mask_any (snd_pcm_format_mask_t *mask)
| set all bits in a snd_pcm_format_mask_t
int | snd_pcm_format_mask_test (const snd_pcm_format_mask_t *mask, snd_pcm_format_t val)
| test the presence of a format in a snd_pcm_format_mask_t
int | snd_pcm_format_mask_empty (const snd_pcm_format_mask_t *mask)
| test, if given a snd_pcm_format_mask_t is empty
void | snd_pcm_format_mask_set (snd_pcm_format_mask_t *mask, snd_pcm_format_t val)
| make a format present in a snd_pcm_format_mask_t
void | snd_pcm_format_mask_reset (snd_pcm_format_mask_t *mask, snd_pcm_format_t val)
| make a format missing from a snd_pcm_format_mask_t

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Define Documentation

#define snd_pcm_format_mask_alloca | ( | ptr |  | ) |

allocate an empty snd_pcm_format_mask_t using standard alloca

Parameters:

  | ptr | returned pointer

## Function Documentation

void snd_pcm_format_mask_any | ( | snd_pcm_format_mask_t * | mask | ) |

set all bits in a snd_pcm_format_mask_t

Parameters:

  | mask | pointer to mask

void snd_pcm_format_mask_copy | ( | snd_pcm_format_mask_t * | dst,
|  | const snd_pcm_format_mask_t * | src |
| ) |  |  |

copy one snd_pcm_format_mask_t to another

Parameters:

  | dst | pointer to destination
  | src | pointer to source

int snd_pcm_format_mask_empty | ( | const snd_pcm_format_mask_t * | mask | ) |

test, if given a snd_pcm_format_mask_t is empty

Parameters:

  | mask | pointer to mask

Return values:

  | 0 | not empty
  | 1 | empty

void snd_pcm_format_mask_free | ( | snd_pcm_format_mask_t * | obj | ) |

frees a previously allocated snd_pcm_format_mask_t

Parameters:

  | obj | pointer to object to free

int snd_pcm_format_mask_malloc | ( | snd_pcm_format_mask_t ** | ptr | ) |

allocate an empty snd_pcm_format_mask_t using standard malloc

Parameters:

  | ptr | returned pointer

Returns:
  0 on success otherwise negative error code

void snd_pcm_format_mask_none | ( | snd_pcm_format_mask_t * | mask | ) |

reset all bits in a snd_pcm_format_mask_t

Parameters:

  | mask | pointer to mask

void snd_pcm_format_mask_reset | ( | snd_pcm_format_mask_t * | mask,
|  | snd_pcm_format_t | val |
| ) |  |  |

make a format missing from a snd_pcm_format_mask_t

Parameters:

  | mask | pointer to mask
  | val | format

void snd_pcm_format_mask_set | ( | snd_pcm_format_mask_t * | mask,
|  | snd_pcm_format_t | val |
| ) |  |  |

make a format present in a snd_pcm_format_mask_t

Parameters:

  | mask | pointer to mask
  | val | format

size_t snd_pcm_format_mask_sizeof | ( | void |  | ) |

get size of snd_pcm_format_mask_t

Returns:
  size in bytes

int snd_pcm_format_mask_test | ( | const snd_pcm_format_mask_t * | mask,
|  | snd_pcm_format_t | val |
| ) |  |  |

test the presence of a format in a snd_pcm_format_mask_t

Parameters:

  | mask | pointer to mask
  | val | format

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines